#include <ogr_api.h>
#include <ogr_geometry.h>
#include <cassert>
#include <iostream>
using namespace std;

int main()
{
    OGRGeometry* g = OGRGeometryFactory::createGeometry(wkbLinearRing);
    OGRLinearRing* r = static_cast<OGRLinearRing*>(g);

    cout << r->getGeometryType() << endl;

    r->addPoint(0, 0);
    r->addPoint(10, 0);
    r->addPoint(10, 10);
    r->addPoint(0, 10);
    r->addPoint(0, 0);

    cout << r->getGeometryType() << endl;
    cout << r->getCoordinateDimension() << endl;
    cout << r->get_Area() << endl;

    delete r;

	return 0;
}
